Status: Rejected

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.18.3 Regression?: No

Operating System: ubuntu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 24121

Description

Hello,

I noticed a bug with the Random Extract within subsets (the saving tool, not the selection within subset).

When I chose to keep 50% of each subset, it only keeps one subset. The tool selection within subset works great, but we can't save it in

batch...

I use qgis 2.18.3 on ubuntu 16.04.

Here's the log of the processing tool : processing.runalg("qgis:randomextractwithinsubsets","/tmp/test.shp","level3",1,50,"memory:")

Related issues:

Duplicates QGIS Application - Bug report # 10734: Random selection should sel... Closed 2014-06-26

History

#1 - 2017-03-21 09:27 AM - matteo ghetta

Confirmed also in master and linux machine.

Other data used to test are in tests/testdata/points with field id2. Only one feature as result.

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-03 02:59 PM - Alexander Bruy

- Description updated

- Resolution set to duplicate

- Status changed from Open to Rejected

Duplicates #10734

#4 - 2017-05-03 02:59 PM - Alexander Bruy

- Duplicates Bug report #10734: Random selection should select only inside defined subsets added
